# Uses of Interface
javax.lang.model.element.ModuleElement.OpensDirective

Packages that use ModuleElement.OpensDirective
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of ModuleElement.OpensDirective in javax.lang.model.element

Methods in javax.lang.model.element with parameters of type ModuleElement.OpensDirective
Modifier and Type
Method
Description
`R`
ModuleElement.DirectiveVisitor.`visitOpens(ModuleElement.OpensDirective d, P p)`
Visits an `opens` directive.

## Uses of ModuleElement.OpensDirective in javax.lang.model.util

Methods in javax.lang.model.util that return types with arguments of type ModuleElement.OpensDirective
Modifier and Type
Method
Description
`static List<ModuleElement.OpensDirective>`
ElementFilter.`opensIn(Iterable<? extends ModuleElement.Directive> directives)`
Returns a list of `opens` directives in `directives`.